Attribute VB_Name = "ModIniDatei"
Option Explicit

'// lesender Zugriff:
Private Declare Function GetPrivateProfileStringByKeyName _
        Lib "kernel32" Alias "GetPrivateProfileStringA" _
        (ByVal lpApplicationName As String, ByVal lpszKey As String, _
        ByVal lpszDefault As String, ByVal lpszReturnBuffer As String, _
        ByVal cchReturnBuffer As Long, ByVal lpszFile As String) As Long

Private Declare Function GetPrivateProfileStringKeys _
        Lib "kernel32" Alias "GetPrivateProfileStringA" _
        (ByVal lpApplicationName As String, ByVal lpszKey As Long, _
        ByVal lpszDefault As String, ByVal lpszReturnBuffer As String, _
        ByVal cchReturnBuffer As Long, ByVal lpszFile As String) As Long
     
Private Declare Function GetPrivateProfileStringSections _
        Lib "kernel32" Alias "GetPrivateProfileStringA" _
        (ByVal lpApplicationName As Long, ByVal lpszKey As Long, _
        ByVal lpszDefault As String, ByVal lpszReturnBuffer As String, _
        ByVal cchReturnBuffer As Long, ByVal lpszFile As String) As Long

'// schreibender Zugriff:
Private Declare Function WritePrivateProfileStringByKeyName _
        Lib "kernel32" Alias "WritePrivateProfileStringA" _
        (ByVal lpApplicationName As String, ByVal lpKeyName As String, _
        ByVal lpString As String, ByVal lplFileName As String) As Long
    
Private Declare Function WritePrivateProfileStringToDeleteKey _
        Lib "kernel32" Alias "WritePrivateProfileStringA" _
        (ByVal lpApplicationName As String, ByVal lpKeyName As String, _
        ByVal lpString As Long, ByVal lplFileName As String) As Long
    
Private Declare Function WritePrivateProfileStringToDeleteSection _
        Lib "kernel32" Alias "WritePrivateProfileStringA" _
        (ByVal lpApplicationName As String, ByVal lpKeyName As Long, _
        ByVal lpString As Long, ByVal lplFileName As String) As Long
Public Sub DeleteIniKey(Section As String, Key As String, File As String)
  WritePrivateProfileStringToDeleteKey Section, Key, 0&, File
End Sub
Public Sub DeleteIniSection(Section As String, File As String)
  WritePrivateProfileStringToDeleteSection Section, 0&, 0&, File
End Sub
Public Sub WriteIniValue(Section As String, Key As String, Value As String, File As String)
  WritePrivateProfileStringByKeyName Section, Key, Value, File
End Sub
Public Function GetIniValue(Section As String, Key As String, File As String) As String
  Dim sKeyValue As String
  Dim lChars    As Long
  
  sKeyValue = String$(128, 0)
  lChars = GetPrivateProfileStringByKeyName(Section, Key, "", sKeyValue, 127, File)
  If lChars > 1 Then
    sKeyValue = Left$(sKeyValue, lChars)
  End If
  GetIniValue = sKeyValue
End Function

